#include "guess.h"
//bool smaller( int x );

int find_number(int MAX) {
  int st = 1, dr = 1 + MAX;
  while( dr - st > 1 ){
    int mij = (st + dr) / 2;
    if( ::smaller( mij ) )
      dr = mij;
    else
      st = mij;
  }
  return st;
}

